#ifndef _REALMCOORDINATEDISPLAY_H_
	#define _REALMCOORDINATEDISPLAY_H_

#include <SDL2/SDL.h>
#include "XYLocation.h"

class RealmCoordinateDisplay {

	private:
		int BaseRadius;
		XYLocation Center;
		XYLocation ScreenSize;

	public:
		void setBaseRadius(int br) { BaseRadius = br; }
		void setCenter(XYLocation c) { Center = c; }
		void setScreenSize(XYLocation s) { ScreenSize = s; }

		void draw(SDL_Renderer* renderer);
};


#endif // _REALMCOORDINATEDISPLAY_H_
