#ifndef __REALMSCENEBACKGROUNDREPOSITORY_H
	#define __REALMSCENEBACKGROUNDREPOSITORY_H

#include <map>
#include "RealmMapKey.h"

class RealmSceneBackground;
class RealmSceneElevationMap;

class RealmSceneBackgroundRepository {
private:
	std::map <RealmMapKey, RealmSceneBackground*> SceneBackgrounds;

public:
	RealmSceneBackground* findSceneBackground(RealmMapKey mapkey);
	RealmSceneBackground* makeSceneBackground(RealmSceneElevationMap* emap);
};

#endif // __REALMSCENEBACKGROUNDREPOSITORY_H
