#include "RealmSceneObjectPositioner.h"
#include "SceneMoveAnimator.h"

RealmSceneObjectPositioner::RealmSceneObjectPositioner(RealmSceneView* sceneview, HexSpiralCoordinate startCoordinate)
{
	SceneAnimator = new SceneMoveAnimator(sceneview, startCoordinate);
}
RealmSceneObjectPositioner::~RealmSceneObjectPositioner() {
	delete SceneAnimator;
}

double RealmSceneObjectPositioner::getScaleFactor() {
	return SceneAnimator->getZoomScale();
}
XYLocation RealmSceneObjectPositioner::getScreenLocation() {
	return SceneAnimator->getScreenLocation();
}

void RealmSceneObjectPositioner::update() {
	SceneAnimator->update();
}
