#ifndef _CAPP_H_
#define _CAPP_H_

#include <SDL2/SDL.h>

#include "const7.h"
#include "RealmView.h"
#include "HexGridDisplay.h"
#include "HexDisplay.h"

class CApp {
	private:
		bool Running;

		SDL_Renderer* S_Renderer;
		SDL_Window* S_Window;

		int windowwidth;
		int windowheight;

		int last_time;
		int start_time;
		int frames_since_sec;
		bool first_tick;

		XYLocation screencenter;

		RealmView* view;
	public:
		CApp();
		int OnExecute();
		bool OnInit();
		void OnEvent(SDL_Event* Event);
		void OnExit();
		void OnLoop();
		void OnRender();
		void OnCleanup();
};

#endif
