#ifndef __REALMWORLDOBJECTSCENEPOSITIONER_H
	#define __REALMWORLDOBJECTSCENEPOSITIONER_H

#include "RealmObjectPositioner.h"
#include "HexSpiralCoordinate.h"

class RealmSceneView;
class RealmWorldObject;

class RealmWorldObjectScenePositioner: public RealmObjectPositioner {
private:
	RealmWorldObject* WorldObject;
	RealmSceneView* SceneView;
public:
	RealmWorldObjectScenePositioner(RealmWorldObject* object, RealmSceneView* sceneview);
	~RealmWorldObjectScenePositioner();

	void update();

	double getScaleFactor();
	XYLocation getScreenLocation();
};

#endif // __REALMWORLDOBJECTSCENEPOSITIONER_H
